%define major   0
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wiiuse
Version:        0.15.5
Release:        %mkrel 2
Summary:        Library to connect and control multiple Nintendo Wii remotes
Group:          System/Libraries
License:        GPLv3+
URL:            https://github.com/wiiuse/wiiuse
Source0:        https://github.com/wiiuse/wiiuse/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         wiiuse-0.15.4-mga-soversion.patch

BuildRequires:  cmake
BuildRequires:  dos2unix
BuildRequires:  pkgconfig(bluez)

%description
Wiiuse is a library written in C that connects with several Nintendo Wii
remotes. Supports motion sensing, IR tracking, nunchuk, classic controller,
Balance Board, and the Guitar Hero 3 controller. Single threaded and
nonblocking makes a light weight and clean API.

%package -n %{libname}
Summary:        Library to connect and control multiple Nintendo Wii remotes
Group:          System/Libraries

%description -n %{libname}
Wiiuse is a library written in C that connects with several Nintendo Wii
remotes. Supports motion sensing, IR tracking, nunchuk, classic controller,
Balance Board, and the Guitar Hero 3 controller. Single threaded and
nonblocking makes a light weight and clean API.

%package -n %{devname}
Summary:        Developer tools for the wiiuse library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Header files needed to develop programs that link against the wiiuse library.

%prep
%autosetup -p1

dos2unix CHANGELOG.mkd README.mkd

%build
%cmake \
  -DBUILD_EXAMPLE=NO \
  -DBUILD_EXAMPLE_SDL=NO \
  -DINSTALL_EXAMPLES=NO
%cmake_build

%install
%cmake_install

# Handle in %%files
rm -rf %{buildroot}%{_docdir}

%files -n %{libname}
%doc CHANGELOG.mkd README.mkd
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.15.5-2.mga8
+ Revision: 1538955
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Nov 28 2019 daviddavid <daviddavid> 0.15.5-1.mga8
+ Revision: 1463424
- new version: 0.15.5

* Fri Jun 14 2019 akien <akien> 0.15.4-3.mga7
+ Revision: 1399940
- Properly set library SOVERSION

* Fri Apr 05 2019 akien <akien> 0.15.4-2.mga7
+ Revision: 1386120
- Add wiiuse-devel provides to devel package

* Fri Apr 05 2019 akien <akien> 0.15.4-1.mga7
+ Revision: 1386105
- Adapt to Mageia, simplify and drop examples
- import wiiuse from Fedora Rawhide


* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Dec 03 2018 Gwyn Ciesla <limburgher@gmail.com> - 0.15.4-1
- Latest upstream.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.8.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.7.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-0.6.gite7fcdf8
- Switch to %%ldconfig_scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.5.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.4.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.3.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-0.2.gite7fcdf8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 28 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.15.0-0.1.gite7fcdf8
- Update to latest snapshot because current (latest) release is totally broken

* Fri Dec 18 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.14.0-2
- Build with $RPM_OPT_FLAGS
- Ship LICENSE as %%license where available

* Mon Dec 14 2015 Jon Ciesla <limburgher@gmail.com> - 0.14.0-1
- New upstream.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 16 2014 Simo Sorce <simo@fedoraproject.org> - 0.12-12
- Add devel dependency on bluez-libs-devel
- Fixes: #1142457

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Simo Sorce <simo@fedoraproject.org> - 0.12-4
Import and first build

* Sun Jan 16 2011 Simo Sorce <simo@fedoraproject.org> - 0.12-3
Fix dependencies and summary.

* Sun Dec 12 2010 Simo Sorce <simo@fedoraproject.org> - 0.12-2
Rename to wiiuse following Fedora Packages guidelines
Fix License definition
Expand summary.

* Fri Nov 26 2010 Simo Sorce <simo@fedoraproject.org> - 0.12-1
Initial release
